/*********************************************************/
/* modlisation d'un moteur  explosion                  */
/* CAISSON                                               */
/* ----------------------------------------------------- */
/* Georges CAMY / Arnaud QUENUM                          */
/* IMAC Ing3 2002/2003 - Universit de Marne La Valle  */
/* Copyright 2003                                        */
/*********************************************************/

#ifndef Caisson_h
#define Caisson_h
#endif

#ifdef WIN32
#include <windows.h>
#endif

#include <math.h>

#ifndef M_PI
#define M_PI	3.1415926535897932384626433832795
#endif

#include <iostream.h>
#include <fstream.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <stdio.h>
#include <stdlib.h>


#ifndef DrawTools_h
#include "DrawTools.h"
#define DrawTools_h
#endif

#include "TexturedCube.h"

/*********************************************************/
/*                    Caisson                            */
/*********************************************************/
class Caisson{
  GLint id_caisson, id_bougie;
  TexturedCube * mon_cube;
  int dx,dy;
  unsigned char *image;
  GLuint id_texture;

public :
  Caisson();
  void dessiner(bool texture);

protected :
  unsigned char *loadPPM(char *titre,int *dx,int *dy);
};



