/*********************************************************/
/* modlisation d'un moteur  explosion                  */
/* PISTON                                                */
/* ----------------------------------------------------- */
/* Georges CAMY / Arnaud QUENUM                          */
/* IMAC Ing3 2002/2003 - Universit de Marne La Valle  */
/* Copyright 2003                                        */
/*********************************************************/

#ifndef Piston_h
#define Piston_h
#endif

#ifdef WIN32
#include <windows.h>
#endif

#include <math.h>

#ifndef M_PI
#define M_PI	3.1415926535897932384626433832795
#endif

#include <iostream.h>
#include <fstream.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <stdio.h>
#include <stdlib.h>

#ifndef DrawTools_h
#include "DrawTools.h"
#define DrawTools_h
#endif
/*********************************************************/
/*                    Piston                             */
/*********************************************************/
class Piston{

  // parties
  GLint id_rotor,id_arbre,id_piston,id_bras1,id_bras2;

  // dimensions
  float d,l,e;

  // angle du bras avec la poutre en radians
  GLdouble alpha_r;
  // angle de l'arbre avec la poutre en radian, et degres
  GLdouble beta_r, beta_d;
  // abscisse du piston = xpiston
  GLdouble xpiston;

public :
  Piston();
  // alpha_d = angle du bras avec la poutre en degres
  void dessiner(float alpha_d);
};



