/*********************************************************/
/* modlisation d'un moteur  explosion                  */
/* SOUPAPE                                                */
/* ----------------------------------------------------- */
/* Georges CAMY / Arnaud QUENUM                          */
/* IMAC Ing3 2002/2003 - Universit de Marne La Valle  */
/* Copyright 2003                                        */
/*********************************************************/
#include "Soupape.h"

/*********************************************************/
/*                    constructeur                       */
/*********************************************************/
Soupape::Soupape(){

  // dfinitions: matriaux
  float mat_ambi_or[]= {0.2,0.2,0.1},mat_diff_or[]= {0.8,0.8,0.2},
        mat_spec_or[]= {0.8,0.8,0.8},mat_nphong_or=20.0;

  // cration de l'objet soupape
  id_corps = glGenLists(1);
  glNewList(id_corps,GL_COMPILE);

  // paramtres du modle d'illumination
  glMaterialfv(GL_FRONT,GL_AMBIENT,mat_ambi_or);
  glMaterialfv(GL_FRONT,GL_DIFFUSE,mat_diff_or);
  glMaterialfv(GL_FRONT,GL_SPECULAR,mat_spec_or);
  glMaterialf(GL_FRONT,GL_SHININESS,mat_nphong_or);

  // soupape
  glPushMatrix();
  glRotatef(90,0,1,0);
  // brin
  DrawTools::drawCylinder(0.1,4.0,12,1,true);
  // cylindre
  DrawTools::drawCylinder(0.5,0.1,12,1,true);
  // cne
  glutSolidCone(0.5, 1.0, 20, 1);
  glPopMatrix();

  // fin de dclaration de l'objet soupape
  glEndList();
}



/*********************************************************/
/*                    dessiner                           */
/*********************************************************/
void Soupape::dessiner(){
   glCallList(id_corps);
}

